
Redmine - Defect #10002

500 error when exporting to csv or pdf when there is selected a custom field

2012-01-16 13:03 - Javier Rujas

Status: Closed Start date: 2012-01-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 1.3.0

Description

I've tried to export a list of issues to a csv or pdf file. I've received a 500 Internal server Error.

My settings:

Database: Postgresql 8.1

Ruby version: 1.8.7

Rails: 2.3.15

Log file:

Processing IssuesController#index to csv (for 10.2.102.55 at 2012-01-16 12:41:53) [GET]

Parameters: {"format"=>"csv", "project_id"=>"iberia-aria-53", "action"=>"index", "controller"=>"issues", "description"=>"1",

"columns"=>""}

NoMethodError (undefined method `find_custom_field_template' for #<IssuesController:0x1ce601c8>):

app/helpers/issues_helper.rb:281:in `issues_to_csv'

app/helpers/issues_helper.rb:278:in `collect'

app/helpers/issues_helper.rb:278:in `issues_to_csv'

app/helpers/issues_helper.rb:277:in `each'

app/helpers/issues_helper.rb:277:in `issues_to_csv'

lib/faster_csv.rb:1053:in `generate'

app/helpers/issues_helper.rb:271:in `issues_to_csv'

app/controllers/issues_controller.rb:97:in `index'

app/controllers/issues_controller.rb:91:in `index'

config/initializers/mongrel.rb:62:in `dispatch_cgi'

Rendering F:/Aplicaciones/Redmine/REDMINE/public/500.html (500 Internal Server Error)

History

#1 - 2012-01-16 13:16 - Javier Rujas

Rails version is 2.3.14 and not 2.3.15, sorry.

#2 - 2012-01-16 19:05 - Jean-Philippe Lang

- Resolution set to Cant reproduce

There's no call to #find_custom_field_template in Redmine core. Maybe an incompatible plugin or custom dev.

#3 - 2012-01-18 15:12 - Javier Rujas

I've checked that is a bad behaviour that is caused by a plugin. Thanks for your help.

#4 - 2012-01-18 15:38 - Etienne Massip

- Status changed from New to Closed

- Resolution changed from Cant reproduce to Invalid

Thanks.

#5 - 2012-05-07 09:42 - Bhavin Shah

Hi I am getting the same error.
I have installed extended_field plugin which has method find_custom_field_template.

What is work around if i do not want to use both the plugins?

The error i am getting.

Processing IssuesController#xls_export_action (for 10.210.214.90 at 2012-05-07 12:26:55) [POST]

  Parameters: {"commit"=>"Export", "project_id"=>"rne", "action"=>"xls_export_action", "authenticity_token"=>"

L9VDsUVmczmGLKHXHo3wOwI+74w3YO4KB5pvtKYLsNg=", "settings"=>{"export_name"=>"issues_export", "issues_limit"=>"0

", "query_columns_only"=>"1", "generate_name"=>"1"}, "controller"=>"issues"}

NoMethodError (undefined method `find_custom_field_template' for #<IssuesController:0x8ee74d0>):

  config/initializers/mongrel.rb:62:in `dispatch_cgi'

Rendering C:/webserver/redmine/public/500.html (500 Internal Server Error)

 Javier Rujas wrote:

I've checked that is a bad behaviour that is caused by a plugin. Thanks for your help.
